Page MenuHomePhabricator

Make Wikipedia distinct by styling of a prominent UI feature differently than the default
Open, NormalPublic

Description

(Usage of 'Wikipedia' below should be understood as referring all the different language editions.)

The default appearance of MediaWiki is remarkably close to Wikipedia. For better or worse, many people intuitively associate the Vector skin with Wikipedia content and values. This makes the experience of viewing non-Wikipedia wikis slightly disorienting, especially when the content policy and editorial standards are dramatically different from Wikipedia's. It's not unreasonable to suspect that this hurts Wikipedia's reputation and credibility.

Traditionally the visual identity of individual projects has been asserted via the logo, but the logo is not prominently visible on the mobile site (and space constraints preclude it from being so) and it is not always visible on the desktop site (if you scroll past the top of the page, for example).

Wikipedia's visual identity should be distinct. It need not be obnoxiously and loudly distinct. It is probably sufficient to apply a subtle, non-default styling to a prominent UI element, like changing the color of the Vector sidebar to a slightly different shade of grey.

It is important for the software to remain free and freely reusable for third parties, and this includes the design. We don't need to withhold or conceal the CSS code; it'd be sufficient to make it non-default.


Version: wmf-deployment
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=60317

Details

Reference
bz51912

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:05 AM
bzimport set Reference to bz51912.
bzimport added a subscriber: Unknown Object (MLST).
ori created this task.Jul 23 2013, 9:27 PM

Not to be obtuse, but: do you mean only Wikipedias or would you include the other Wikimedia wiki families in this bug as well (Wiktionaries, Wikiversities, Wikinewseseses, etc.)?

Thinking about this specifically for the mobile ui this could be as simple as changing the header/left menu colour in some way.

There could be 2 theme CSS files that are enabled in LocalSettings.PHP - Wikimedia chooses the non default one.

One good example is Wikitravel.org it looks very similar to us and can confuse people. I discovered this when explaining Wikivoyage to a friend...

Jorm added a comment.Jul 24 2013, 2:09 AM

I am fairly sympathetic to this issue. However, I have difficulty seeing a way that we can do it without requiring an extra extension that applies the "Wikimedia flavor" to whatever default skin is being used.

I could see a way where we do something like this:

  • build all our basic designs in core
  • create Extension:Wikimedia that has some css/design overrides

I don't know that it would be a great deal of work to do that.

However, a simple color shift may not avoid the kind of confusion that I think is being hinted at in this bug.

Brandon: I think we can gain a lot of distinction using very little adjustment and avoid any significant maintenance overhead - but I do agree that we probably won't reach 100% distinction by adjusting the shade of a few things, we may have to go a little farther than that.

MZ: Other projects should also be customized, perhaps subtly differently as well since it's been observed that people often don't realize they are on a different site when being linked between Wikipedia, Commons and Wiktionary. Making some standard visual elements be adjustable on a per-project basis could give us an opportunity to make each project have more of it's own identity. I've advanced seen people change colors in their user CSS to avoid posting on the wrong wikis - this is an indication that there is too much similarity right now.

Execution does seem pretty simple:

Step 1: Add the capability to configure by some reasonable means
Step 3: Add an RL module that dynamicaly generates CSS based on configuration
Step 2: Choose some visual elements to vary and add dynamic CSS classes for them
Step 4: Adjust skin HTML output to use those "dynamic" classes
Step 5: Adjust skin stylesheets to work with the new classes than hard coding them

swalling wrote:

I think this is potentially a win-win situation for MediaWiki as a FOSS project and Wikimedia wikis.

For Wikimedia, even small changes might help give them a more unique look that doesn't confuse Wikipedia, Wiktionary, et al. with every third part wiki. For MediaWiki, this is another opportunity to show that it really is a standalone FOSS project that can and should be able to function without always being specific to Wikimedia's use cases and design.

It's hard to underestimate how little knowledge there is out there about the differences between MediaWiki, Wikipedia, and other wikis. Pretty much all the time, I have people unfamiliar with the projects ask me if all things with the name wiki in it are owned "by Wikipedia". The list of ways to be confused goes on and on.

As I said before, I'm all for this. If eng. wants to start on this please attempt to create a back end system for swapping key colors that is independent of any elements currently in vector so that it will be usable as vector or any other future skin changes and evolves.

Qgil added a comment.Aug 23 2013, 9:39 PM

This would be useful, yes. Note that 3rd party wikis look a lot like Wikipedia not only because both use the same Vector skin by default, but al because it is damn complex for an average 3rd party to depart from it:

  • Configuring or customizing Vector skin isn't trivial. Likely customizations like how to apply fixed width, change colors, change the header/footer, modify the size of fonts... are not documented and require to look deep in the CSS to see what needs to be changed at MediaWiki:Common.css. You may need to modify the skin itself, and forking Vector and take care of diffs when upgrading is not something most people want to do.
  • Selecting a different skin is even more complicated for an average 3rd party. There are basically no skins out there that would give the confidence in terms of stability, adoption and current support. When you use a MediaWiki skin found somewhere you are basically on your own, not even able to know whether such skin covers Vector's functionality (e.g. does it work in older MS Explorer versions).

Therefore yes, a custom look & feel for Wikimedia sites is one step. But actually the right solution is to provide the enablers for proper MediaWiki customization. Look at http://wordpress.org or http://drupal.org . They don't look much different than their software out of the box, but the difference is that Wordpress and Drupal admins can start customizing right away, and get a very different looking site wits a few simple steps.

Qgil added a comment.Aug 30 2013, 4:11 PM

(In reply to comment #2)

Thinking about this specifically for the mobile ui this could be as simple as
changing the header/left menu colour in some way.

Specifically about mobile, colors alone won't do. I believe the project logo / name must appear somewhere in the header, not just only in the footer. Currently any site using MobileFrontend will give you exactly the same first impression, without any identity in the header at all.

MediaWiki/Vector kind of forces you to have a square-ish logo anyway (and all the Wikimedia logos do fit well in a square). A place should be found for it in the header.

Seb35 added a comment.Sep 16 2013, 8:29 PM

Cross-linking with discussion on the design-l mailing-list (July 24, 2013):
http://lists.wikimedia.org/pipermail/design/2013-July/000773.html

About the bug I aggree with the deeper issue raised by Quim Gil: by experience with some local territory wikis in France (particularly Wiki-Brest but some others also), the Wikipedia skin is used because:
1/ it’s Wikipedia skin, so it’s easier for users to navigate, edit, etc., and even if wikis sometimes want a custom style, they often want also keep a general 'Wikipedia' appearence (with small customisations) for simplicity for the users;
2/ it’s difficult to change the default skin; perhaps a easier way to customise partially or totally the skin would help wikis to differ from Wikipedia (at least there would only remain the first point).

Considering https://meta.wikimedia.org/wiki/Trademark_policy/FAQ#1.3_What_is_.22trade_dress.22.3F, this bug becomes high importance and critical severity.

If the look and feel of Wikimedia wikis is to be trademarked by the Wikimedia Foundation, then by shipping Vector, which is the biggest part of that look and feel, as the default skin for MediaWiki, we're needlessly putting our third party users at risk of being sued for trademark infringement.

And that's real bad.

(In reply to comment #10)

If the look and feel of Wikimedia wikis is to be trademarked by the Wikimedia
Foundation, then by shipping Vector, which is the biggest part of that look
and feel, as the default skin for MediaWiki, we're needlessly putting our third
party users at risk of being sued for trademark infringement.
And that's real bad.

Instead of Low/enhancement, let's try Normal/enhancement. High/critical seems a bit extreme, but perhaps Luis or someone else on the Wikimedia Foundation legal team agrees.

Qgil added a comment.Jan 21 2014, 11:16 PM

(In reply to comment #10)

by shipping Vector, which is the biggest part of that look and
feel, as the default skin for MediaWiki, we're needlessly putting our third
party users at risk of being sued for trademark infringement.

I'm not a lawyer etc, but I guess everybody agrees that the WMF will not sue anybody for using MediaWiki and MobileFrontend out of the box. There is an ongoing discussion in wikimedia-l and perhaps elsewhere, but I don't think we need to translate that discussion here.

Qgil added a comment.Jan 21 2014, 11:16 PM

ooops, mid-air collision

As the FAQ explains[1], as long as you don't use one of the Wikimedia logos or a confusingly similar domain name, merely using Vector/default Mediawiki does not create a risk of being sued for infringement. So this is not a critical/time-sensitive bug.

That said, it'd obviously be less confusing for everyone if Vector-as-shipped-by-default-with-Mediawiki and Vector-as-deployed-on-Wikimedia-sites were slightly different; or if the same were true of any future theme we develop. So certainly legal approves of the original intent of the bug. :)

Hope that helps; happy to answer questions.

[1] Q/A 5.3, scroll down a bit from here: https://meta.wikimedia.org/wiki/Trademark_policy#FAQ-fakearticle

Let's fix priority and severity again, then.

(In reply to comment #14)

As the FAQ explains[1], as long as you don't use one of the Wikimedia logos
or
a confusingly similar domain name, merely using Vector/default Mediawiki does
not create a risk of being sued for infringement. So this is not a
critical/time-sensitive bug.
That said, it'd obviously be less confusing for everyone if
Vector-as-shipped-by-default-with-Mediawiki and
Vector-as-deployed-on-Wikimedia-sites were slightly different; or if the same
were true of any future theme we develop. So certainly legal approves of the
original intent of the bug. :)
Hope that helps; happy to answer questions.
[1] Q/A 5.3, scroll down a bit from here:
https://meta.wikimedia.org/wiki/Trademark_policy#FAQ-fakearticle

One of the points of Vector was to make MW-on-WMF-cluster distinct from MW-tarball. Unfortunately, this was forgotten and Vector became both shipped by default (bad) and enabled as default (worse) from this POV.

(In reply to comment #14)

As the FAQ explains[1], as long as you don't use one of the Wikimedia logos
or a confusingly similar domain name, merely using Vector/default Mediawiki
does not create a risk of being sued for infringement. So this is not a
critical/time-sensitive bug.

The part of the FAQ that I quoted was very precise in stating that "the trade dress of any Wikimedia site is also a trademark of the Wikimedia Foundation", with trade dress being defined as "the "look and feel" of a site".

Vector is currently the single most important part of that look and feel, so if the sentence I quoted isn't true, can we please have it fixed? Thanks :-)

Just to weigh in, the goal is that wikimedia wikis would have a distinct but equally feature rich skin as one that is shipped with mediawiki, the problem is that this means that the foundation and/or community it maintaining two distinct skins, which is exactly what we're trying to get away from. So, I'd love for the default mediawiki skin to be really clean and minimal, to allow for quick customization by people who want to use mediawiki on their sites. Still maintaining two skins is better than 5 I guess.

(In reply to comment #18)

Just to weigh in, the goal is that wikimedia wikis would have a distinct but
equally feature rich skin as one that is shipped with mediawiki,

That's a bigger change than requested by this bug. This bug is not saying WMF should stop using Vector, or that stock MW should. It's just about some change to make the WMF wikis more distinctive.

I don't think it makes sense to have the WMf and stock MW use an entirely different skin, for similar reasons to those cited by Jared. There should be one leading-edge skin, which is currently Vector, for both third-party and WMF. That will let WMF staff and volunteers collaborate on enhancing it.

Even if the default MW skin was not Vector, people could still use Vector as long as they didn't use specific WMF trademarks (e.g. Wikipedia globe, or any custom non-stock color scheme adopted). That's part of open source software.

@Matt, the way I read the bug was that us someone goes to mediawiki.org, downloads and installs the CMS, in its out of the box configuration it should not be confused with a wikimedia foundation wiki. Which would mean some possibly radical changes to the skin. I think this goes beyond logos and color. If thats not the goal of this bug I think that i might not be the only one confused here.

I'm going on the record as saying I think it's a /good thing/ that we use the same software that we ship, skin included.

I absolutely hate when we start using secret magic at WMF that makes it harder/impossible for third parties to fork/reuse as they so desire.

(Not CCing myself on purpose, please don't add me)

Qgil added a comment.Jan 22 2014, 12:55 AM

I don't think we have any problem that Wordpress, Drupal, etc haven't addressed yet. Skins should be about skinning, not about providing extra functionality. As long as modifying the Vector skin is a pain, most MediaWikis will look alike.

Good skinning includes:

  • Changing typefaces and font sizes
  • Changing colors and backgrounds
  • Changing variable/fixed width
  • Changing the position of navigation bars horizontal or vertical left/right
  • Customizing the footer

Technically, MediaWiki and vector allow you to do this... In practice doing this and maintaining your changes is a pain that almost nobody wants to go through.

I agree that having skins with different functionality for plain MediaWiki and WMF sites would be really troublesome for many reasons. Good skinning + extensions available to anybody should suffice.

(In reply to comment #17)

(In reply to comment #14)

As the FAQ explains[1], as long as you don't use one of the Wikimedia logos
or a confusingly similar domain name, merely using Vector/default Mediawiki
does not create a risk of being sued for infringement. So this is not a
critical/time-sensitive bug.

The part of the FAQ that I quoted was very precise in stating that "the trade
dress of any Wikimedia site is also a trademark of the Wikimedia Foundation",
with trade dress being defined as "the "look and feel" of a site".
Vector is currently the single most important part of that look and feel, so
if
the sentence I quoted isn't true, can we please have it fixed? Thanks :-)

I hesitate to spill the trademark argument into yet another forum, but so that others are not confused: the look and feel is the totality of the site, *including the logo*. As the FAQ says, Vector in and of itself is not sufficient.

totality of the site's *look and feel*, should have said.

[So, for example, a Vector rip-off + a logo rip-off could be a confusing/infringing look and feel; Vector + a completely different logo would not be the same look and feel, so not confusing/infringing.]

This to me is an argument for a configuration extension, that allows users on their own wiki to quickly change logo, colors, fonts, etc. but that is a separate bug.

(In reply to comment #20)

@Matt, the way I read the bug was that us someone goes to mediawiki.org,
downloads and installs the CMS, in its out of the box configuration it should
not be confused with a wikimedia foundation wiki.

Sidenote, it's wiki software, not a CMS. See https://www.mediawiki.org/wiki/Security_issues_with_authorization_extensions .

Which would mean some possibly radical changes to the skin. I think this goes
beyond logos and color.

I agree with Quim. Having WMF-specific overrides on things like color, logos, typeface, footer, sidebar, etc. should be enough. There's also extensions. Although the primary purpose is to add new (open source) functionality, since different wikis have different extensions installed, that also creates a different experience.

If we have actual different core functionality on by default, that means additional common configuration possibilities to test and less efficient collaboration with non-WMF developers.

(In reply to comment #26)

Having WMF-specific overrides on things like color,
logos, typeface, footer, sidebar, etc. should be enough.

And to be clear, legal agrees. No *legal* reason to require different layout/functionality/etc. (I don't see any good strategic/engineering reasons either, but that part isn't my call :)

(In reply to comment #25)

This to me is an argument for a configuration extension, that allows users on
their own wiki to quickly change logo, colors, fonts, etc. but that is a
separate bug.

I've just filed bug 60317. It shouldn't be an extension, in my opinion, it should be in core. :-)

(In reply to comment #22)

Good skinning includes:

  • Changing typefaces and font sizes
  • Changing colors and backgrounds
  • Changing variable/fixed width
  • Changing the position of navigation bars horizontal or vertical left/right
  • Customizing the footer

Technically, MediaWiki and vector allow you to do this... In practice doing
this and maintaining your changes is a pain that almost nobody wants to go
through.

Indeed. I like this thinking. It focuses on positive action and tries to encourage creativity and customizability. I separated this idea out into bug 60317.

Re-quoting comment 0:

Wikipedia's visual identity should be distinct. It need not be obnoxiously
and loudly distinct. It is probably sufficient to apply a subtle, non-default
styling to a prominent UI element, like changing the color of the Vector
sidebar to a slightly different shade of grey.

After giving it some thought, I think this is bullshit. Perhaps in a world where every user is the ideal user (competent, attentive, using decent computer equipment, etc.), subtly changing the sidebar color would work.

But people, real people, barely understand what Wikipedia is. They have no idea who Vector is or what a MediaWiki is. As far as they're concerned, "Wikimedia" is a typo for "Wikipedia". And most of them have bad eyes or bad computer monitors, so the sidebar blends in to the page content.

This is to say: for the people who can distinguish a URL bar and the logo, any subtle change won't help; for everyone else, any subtle change won't help.

That leaves us with a non-subtle change. I don't really want to pursue that.

Perhaps there are specific, actionable items that can come from this bug, but as far as I'm concerned, at the moment, I'd consider it invalid. This isn't to say that every idea here is bad or shouldn't be pursued. We should definitely make it easier to customize the skin (echoing Trevor in comment 4 and Jared in comment 25), but I don't currently see much path for growth in this bug report.

Are we ok closing this as WONTFIX for now unless an actionable proposal (perhaps on wiki) is arrived at?

Are we ok closing this as WONTFIX for now unless an actionable proposal (perhaps on wiki) is arrived at?

(In reply to comment #30)

Are we ok closing this as WONTFIX for now unless an actionable proposal
(perhaps on wiki) is arrived at?

What's changed since your comment 6? Keeping this bug open is fine.

@James https://bugzilla.wikimedia.org/show_bug.cgi?id=60317 seems like a more actionable way to address the source of the problem "end user configuration is hard" rather than the outcome "end users don't configure"

(In reply to comment #33)

@James https://bugzilla.wikimedia.org/show_bug.cgi?id=60317 seems like a more
actionable way to address the source of the problem "end user configuration
is
hard" rather than the outcome "end users don't configure"

Sure, except that's not what this bug is.

This bug is to make WMF-hosted wikis look slightly visually distinctive whilst still maintaining the same skin as much as possible in the tarball / git versions.

It's not about helping end users configure their site; it's specifically about having WMF configure our sites away from stock.

Qgil added a comment.Jan 22 2014, 10:30 PM

One problem, discussed in bug 60317, is that MediaWiki must enable easier UI customization without requiring to hack/fork Vector etc.

Another problem, discussed here, is that Wikipedia (and the rest of Wikimedia projects, I guess) must have a distinctive look & feel that make them stand apart from a plain MediaWiki installation.

Yes Quim, Jon R. & Matt F. talked about this yesterday, we specifically DON'T want another skin and we do want any improvements made to the default skin available to everyone.

(In reply to comment #36)

Yes Quim, Jon R. & Matt F. talked about this yesterday, we specifically DON'T
want another skin and we do want any improvements made to the default skin
available to everyone.

Right, but I think it is possible to make it visually distinctive without making a new skin.

I also agree that letting third-party sites easily make themselves visually distinctive will help. First, they want to. Second, that change in the other direction increases the overall visual distinctiveness between the two.

ShoutWiki uses a thing we call themes, which are basically distinct styles of existing skins - usually different colour schemes or what have you, such as a dark theme for vector, a bright flowery theme for monaco, etc.

But there hasn't really any good way to do this in general, besides the skin.css on the site itself. until quite recently. LESS opens up some doors for potentially adding built-in support for skin theming...

Point is, this is probably what you'd want to use for this - a Wikimedia theme for whatever the default skin is. Other folks could make their own themes or not, but that'd achieve the main goal.

Qgil added a comment.Mar 27 2014, 6:28 PM

Another GSoC project that tries to help in this direction, making very easy for admins to customize the CSS styles of their wikis.

https://www.mediawiki.org/wiki/User:Protnet/Frontend_for_Vector_skin_CSS_customizations

We need mentors urgently! Otherwise we cannot accept it. Volunteers needed.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 3:01 PM
Jorm removed a subscriber: Jorm.Dec 26 2015, 7:19 PM